Updated Branches:
  refs/heads/trunk 6a4374697 -> 6dcda0d51

AMBARI-3599. MySQL install has error but task completes successfully (Dmytro 
Shkvyra via dlysnichenko)


Project: http://git-wip-us.apache.org/repos/asf/incubator-ambari/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-ambari/commit/6dcda0d5
Tree: http://git-wip-us.apache.org/repos/asf/incubator-ambari/tree/6dcda0d5
Diff: http://git-wip-us.apache.org/repos/asf/incubator-ambari/diff/6dcda0d5

Branch: refs/heads/trunk
Commit: 6dcda0d511b979608cf528a1a31edf24f8d02981
Parents: 6a43746
Author: Lisnichenko Dmitro <[email protected]>
Authored: Mon Oct 28 17:10:48 2013 +0200
Committer: Lisnichenko Dmitro <[email protected]>
Committed: Mon Oct 28 17:10:48 2013 +0200

----------------------------------------------------------------------
 .../src/main/puppet/modules/hdp-mysql/files/addMysqlUser.sh         | 1 +
 1 file changed, 1 insertion(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-ambari/blob/6dcda0d5/ambari-agent/src/main/puppet/modules/hdp-mysql/files/addMysqlUser.sh
----------------------------------------------------------------------
diff --git 
a/ambari-agent/src/main/puppet/modules/hdp-mysql/files/addMysqlUser.sh 
b/ambari-agent/src/main/puppet/modules/hdp-mysql/files/addMysqlUser.sh
index 8c12260..4789a21 100644
--- a/ambari-agent/src/main/puppet/modules/hdp-mysql/files/addMysqlUser.sh
+++ b/ambari-agent/src/main/puppet/modules/hdp-mysql/files/addMysqlUser.sh
@@ -27,6 +27,7 @@ mysqldbhost=$4
 myhostname=$(hostname -f)
 
 service $mysqldservice start
+set -e
 echo "Adding user $mysqldbuser@$mysqldbhost and $mysqldbuser@localhost"
 mysql -u root -e "CREATE USER '$mysqldbuser'@'$mysqldbhost' IDENTIFIED BY 
'$mysqldbpasswd';"
 mysql -u root -e "CREATE USER '$mysqldbuser'@'localhost' IDENTIFIED BY 
'$mysqldbpasswd';"

Reply via email to